#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  konversation-25.12.2

- Next

  plasma-activities-6.6.1

- Up
- Home

# libkexiv2-25.12.2

## Introduction to libkexiv2

Libkexiv2 is a KDE wrapper around the Exiv2 library for manipulating image metadata.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/25.12.2/src/libkexiv2-25.12.2.tar.xz

- Download MD5 sum: 54dcec7b1a420e8a7572203b9e3d9494

- Download size: 60 KB

- Estimated disk space required: 3.8 MB

- Estimated build time: 0.2 SBU

### libkexiv2 Dependencies

#### Required

KDE Frameworks-6.23.0 and Exiv2-0.28.8

## Installation of libkexiv2

Install libkexiv2 by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_WITH_QT6=ON                \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Library: libKExiv2Qt6.so
Installed Directories: $KF6_PREFIX/include/KExiv2Qt6 and $KF6_PREFIX/lib/cmake/KExiv2Qt6

- Prev

  konversation-25.12.2

- Next

  plasma-activities-6.6.1

- Up
- Home